init python:
    import random

    # Diccionario de valores de cartas
    card_values = {
        "2": 2, "3": 3, "4": 4, "5": 5, "6": 6, "7": 7, "8": 8, "9": 9, "10": 10,
        "jack": 10, "queen": 10, "king": 10, "ace": 11
    }

    # Lista de cartas (con imágenes disponibles)
    cards = [
        f"{rank}_of_{suit}" for suit in ["hearts", "diamonds", "clubs", "spades"]
        for rank in ["2", "3", "4", "5", "6", "7", "8", "9", "10", "jack", "queen", "king", "ace"]
    ]

    # Función para calcular el puntaje
    def calculate_score(hand):
        score = sum(card_values[card.split("_")[0]] for card in hand)
        # Ajustar valor del As si el total excede 21
        if score > 21 and any("ace" in card for card in hand):
            score -= 10
        return score

    # Función para obtener una carta aleatoria
    def draw_card(deck):
        return deck.pop(random.randint(0, len(deck) - 1))

label blackJack:
    python:
        deck = cards.copy()
        random.shuffle(deck)

        player_hand = [draw_card(deck), draw_card(deck)]
        dealer_hand = [draw_card(deck), draw_card(deck)]

        player_score = calculate_score(player_hand)
        dealer_score = calculate_score(dealer_hand)

    scene almacenBG1
    show screen player_score
    show mai neutral

    
    show expression "images/cards/" + player_hand[0] + ".png" at playerL
    show expression "images/cards/" + player_hand[1] + ".png" at playerD

    pause

    
    show expression "images/cards/" + dealer_hand[0] + ".png" at dealerL
    
    pause
    menu:
        "Pedir otra carta":
            $ player_hand.append(draw_card(deck))
            $ player_score = calculate_score(player_hand)
            if player_score > 21:
                "Te pasaste de 21. Has perdido."
                return
            jump blackJack

        "Quedarse":
            "El crupier revela su otra carta..."
            show expression "images/cards/" + dealer_hand[1] + ".png" at dealerD
            while dealer_score < 8:
                $ dealer_hand.append(draw_card(deck))
                $ dealer_score = calculate_score(dealer_hand)
                show expression "images/cards/" + dealer_hand[-1] + ".png" at dealerM

            if dealer_score > 21:
                "El crupier se pasó de 21. ¡Ganaste!"
                show mai enojada 
                pause
            elif player_score > dealer_score:
                show mai hambre1
                "Ganaste, Idiota"
                
                 
                pause
            elif player_score < dealer_score:
                "El crupier tiene más puntos. Has perdido."
                show mai hambre1 avergonzada 
                pause
            else:
                "Empate."
                show mai enojada 
                pause
            return
transform dealerD:
    xalign 0.2
    yalign 0.1
    zoom 0.5

transform dealerL:
    xalign 0.8
    yalign 0.1
    zoom 0.5

transform dealerM:
    xalign 0.5
    yalign 0.6
    zoom 0.3

transform playerD:
    xalign 0.2
    yalign 0.8
    zoom 0.5
transform playerL:
    xalign 0.8
    yalign 0.8
    zoom 0.5


screen player_score:
    text "[player_score]"